<?php
session_start();
if (empty($_SESSION['session_username'])) {
    header("Location: login_form.php");
    exit();
}
?>
<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <style>
    body {
        background-color: #F1C40F; /* UWM Gold */
        color: #000000; /* UWM Black */
        font-family: "Lucida Sans Unicode", "Lucida Grande", sans-serif;
    }
    .wrapper {
       margin-top: auto;
       margin-right: auto; 
       margin-left: auto;
       margin-bottom: 10px;
       padding: 10px;
       border-style: ridge;
       border-color: #000000; /* UWM Black */
       width: 400px;
       text-align: center;
       background-color: #FFFFFF; /* White background for contrast */
    }
    .wrapper img {
        width: 300px;
        height: 300px;
        object-fit: contain;
    }
    h1, h2, h3 {
        color: #000000; /* UWM Black */
    }
    button {
        background-color: #000000; /* UWM Black */
        color: #F1C40F; /* UWM Gold */
        border: none;
        padding: 10px 20px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 16px;
        margin: 4px 2px;
        cursor: pointer;
    }
    button:hover {
        background-color: #F1C40F; /* UWM Gold */
        color: #000000; /* UWM Black */
    }
    </style>
</head>
<body>
<?php
include('mysqli_connect.php'); 
$category = $_POST['productcategory'];

$query = "SELECT * FROM products WHERE category = ?";
$stmt = mysqli_prepare($dbc, $query);
mysqli_stmt_bind_param($stmt, 's', $category);
mysqli_stmt_execute($stmt);
$result = mysqli_stmt_get_result($stmt);

if ($result) {
    $row_count = mysqli_num_rows($result);
    echo "In total, the number of retrieved records is: <b>$row_count</b> <br>";
    echo "<button type=\"button\" onclick=\"location.href='secret_page.php'\">Go back</button>";
} else {
    echo mysqli_error($dbc);
}
mysqli_close($dbc);

while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) {
    echo "<div class='wrapper'>";
    if ($row['category'] == 'Toys') {
        if ($row['name'] == 'Chew Toy') {
            $filepath = "images/chew_toy.jpg";
        } elseif ($row['name'] == 'Catnip Mouse') {
            $filepath = "images/catnip_mouse.jpg";
        } else {
            $filepath = "images/" . $row['id'] . ".jpg";
        }
    } elseif ($row['category'] == 'Food') {
        if ($row['name'] == 'Organic Dog Food') {
            $filepath = "images/organic_dog_food.jpg";
        } elseif ($row['name'] == 'Cat Treats') {
            $filepath = "images/Cat_Treats.jpg";
        } else {
            $filepath = "images/" . $row['id'] . ".jpg";
        }
    } elseif ($row['category'] == 'Accessories') {
        if ($row['name'] == 'Leather Collar') {
            $filepath = "images/Leather_Collar.jpg";
        } elseif ($row['name'] == 'Dog Leash') {
            $filepath = "images/Dog_Leash.jpg";
        } else {
            $filepath = "images/" . $row['id'] . ".jpg";
        }
    } elseif ($row['category'] == 'Grooming') {
        if ($row['name'] == 'Pet Shampoo') {
            $filepath = "images/Pet_Shampoo.jpg";
        } elseif ($row['name'] == 'Grooming Brush') {
            $filepath = "images/Grooming_Brush.jpg";
        } else {
            $filepath = "images/" . $row['id'] . ".jpg";
        }
    } elseif ($row['category'] == 'Furniture') {
        if ($row['name'] == 'Scratching Post') {
            $filepath = "images/Scratching_Post.jpg";
        } elseif ($row['name'] == 'Pet Bed') {
            $filepath = "images/Pet_Bed.jpg";
        } else {
            $filepath = "images/" . $row['id'] . ".jpg";
        }
    } else {
        $filepath = "images/" . $row['id'] . ".jpg";
    }
    if (!file_exists($filepath)) {
        $filepath = 'images/default.jpg';
    }
    echo "<img src=\"$filepath\" alt=\"Product Image\">";
    echo "<h3>".$row['name']."</h3>";
    echo "Category: " . $row['category']."<br>";
    echo "Price: $" . $row['price']."<br>";
    echo "Available: ".$row['quantity']."<br>";
    echo "<p>".$row['description']."</p>";
    echo "</div>\n";
}
?>
</body>
</html>